#
# spec file for package perl-MIME-Base64-URLSafe
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-MIME-Base64-URLSafe
Version:        0.01
Release:        1.1
License:        CHECK(GPL+ or Artistic)
%define cpan_name MIME-Base64-URLSafe
Summary:        Perl version of Python's URL-safe base64 codec
Url:            http://search.cpan.org/dist/MIME-Base64-URLSafe/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/K/KA/KAZUHO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module is a perl version of python's URL-safe base64 encoder /
decoder.

When embedding binary data in URL, it is preferable to use base64 encoding.
However, two characters ('+' and '/') used in the standard base64 encoding
have special meanings in URLs, often leading to re-encoding with
URL-encoding, or worse, interoperability problems.

To overcome the problem, the module provides a variation of base64 codec
compatible with python's urlsafe_b64encode / urlsafe_b64decode.

Modification rules from base64:

    use '-' and '_' instead of '+' and '/'
    no line feeds
    no trailing equals (=)

The following functions are provided:

    urlsafe_b64encode($str)
    urlsafe_b64decode($str)

If you prefer not to import these routines to your namespace, you can call
them as:

    use MIME::Base64::URLSafe ();
    $encoded = MIME::Base64::URLSafe::encode($decoded);
    $decoded = MIME::Base64::URLSafe::decode($encoded);

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Oct 10 2011 coolo@suse.com
- initial package 0.01
  * created by cpanspec 1.78.06
